Java编译时一些列错误

1、

Description Resource Path Location Type Java compiler level does not match the version of the installed Java project facet.  (Java Version Mismatch)

确定jdk版本:

设置编译的版本:

进入项目,设置项目的编译版本:

进入(Maven)项目

 

 

 

 

2、

Description Resource Path Location Type Dynamic Web Module 3.0 requires Java 1.6 or newer.

3.0的Web项目需要jdk7,在Maven加入下配置:

<plugins>

        <plugin>

            <groupId>org.apache.maven.plugins</groupId>

            <artifactId>maven-compiler-plugin</artifactId>

            <version>2.3.2</version>

            <configuration>

                <source>1.7</source>

                <target>1.7</target>

            </configuration>

        </plugin>

    </plugins>

 

3、

Eclipse中使用Maven创建或Update项目时jre变成1.5的解决办法

修改mavensettings.xml文件,在标签<profiles>下增加:

<profile> 

    <id>jdk-1.7</id> 

    <activation> 

        <activeByDefault>true</activeByDefault> 

        <jdk>1.7</jdk> 

    </activation> 

    <properties> 

        <maven.compiler.source>1.7</maven.compiler.source> 

        <maven.compiler.target>1.7</maven.compiler.target>         <maven.compiler.compilerVersion>1.7</maven.compiler.compilerVersion> 

    </properties> 

      </profile>

 

 

发布了181 篇原创文章 · 获赞 94 · 访问量 20万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 数字50 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览